<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- Data table -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap4.min.css">
    <!-- slider -->
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="slider.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">

</head>

<body class="hold-transition sidebar-mini">
    <!-- /.modal -->

    <div class="modal fade" id="modal-delete-pet">
        <div class="modal-dialog">
            <div class="modal-content bg-danger">
                <div class="modal-header">
                    <h4 class="modal-title">Xóa thú cưng</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Bạn có chắc chắn muốn xóa thú cưng này&hellip;</p>
                </div>
                <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-outline-light" id="btn-confirm-del-pet">Xác nhận xóa thú
                        cưng</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

    <!-- /.modal -->
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>


        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="admin.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Task 49.50</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Gialvh</a>
                    </div>
                </div>
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="admin.html" class="nav-link active">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Admin</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="addPets.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Add Pets</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="editPets.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Edit Pets</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Quản lý thú cưng</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="slider-box w-50">
                    <div class="filter-pet jumbotron">
                        <div class="slider-box">
                            <div>
                                <span class="price-span text-lg">Lọc thú cưng theo giá</span>
                            </div>

                            <div class="price-div">
                                <div class="ranger-label">
                                    <span>Khoảng giá trị:</span>
                                </div>
                                <div class="price-label">
                                    $ <span id="min-price">100</span>
                                    <span class="seperator">-</span>
                                    $ <span id="max-price">1000</span>
                                </div>
                            </div>
                            <div class="selector">
                                <div class="price-slider">
                                    <div id="slider-range"
                                        class="ui-slider ui-corner-all ui-slider-horizontal ui-widget ui-widget-content">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button class="btn btn-primary" id="btn-filter">Filter</button>
                    </div>
                </div>
                <div>
                    <button class="btn btn-success mb-3" id="btn-add-pet">Add Pet</button>
                </div>
                <div>
                    <h4 class="text-center">BẢNG DANH SÁCH THÚ CƯNG</h4>
                </div>
                <table class="table sm table-stripped table-hover table-bordered table-success" id="pets-data-table">
                    <thead>
                        <tr>
                            <td>STT</td>
                            <td>Type</td>
                            <td>Name</td>
                            <td>Description</td>
                            <td>Photo</td>
                            <td>Price</td>
                            <td>Discount Price</td>
                            <td>Date</td>
                            <td>Action</td>
                        </tr>
                    </thead>
                </table>
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->
        <!-- /.modal -->

        <div class="modal fade" id="modal-danger">
            <div class="modal-dialog">
                <div class="modal-content bg-danger">
                    <div class="modal-header">
                        <h4 class="modal-title">Danger Modal</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>One fine body&hellip;</p>
                    </div>
                    <div class="modal-footer justify-content-between">
                        <button type="button" class="btn btn-outline-light" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-outline-light">Save changes</button>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <!-- Data table -->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/dataTables.bootstrap4.min.js"></script>


</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gBASE_URL = "https://pucci-mart.onrender.com/api";
    var gPriceMin = 200;
    var gPriceMax = 600;
    var gDataPetsArray = [];
    var gSTT = 1;
    var gPetId = "";
    var gPetDataTable = $("#pets-data-table").DataTable({
        data: gDataPetsArray,
        columns: [
            { data: "id" },
            { data: "type" },
            { data: "name" },
            { data: "description" },
            { data: "imageUrl" },
            { data: "price" },
            { data: "promotionPrice" },
            { data: "createdAt" },
            { data: "action" },
        ],
        columnDefs: [
            {
                targets: 0,
                render: function () {
                    return gSTT++
                }
            },
            {
                targets: 4,
                render: function (paramData) {
                    return `<img src="${paramData}" alt="" width="100px">
`
                }
            },
            {
                target: 8,
                "defaultContent": `<i class="far fa-edit text-primary" id="btn-edit-pet" style="font-size: 20px; cursor: pointer;" data-toggle="tooltip" title="Edit Pet"></i>&nbsp; 
                <i class="fas fa-trash-alt text-danger" id="btn-delete-pet" style="font-size: 20px; cursor: pointer;" title="Delete Pet" data-toggle="modal" data-target="#modal-delete-pet"></i>
                `
            },
        ]
    })
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#slider-range").slider({
            range: true,
            values: [100, 1000],
            min: 100,
            max: 1000,
            step: 5,
            slide: function (event, ui) {
                $("#min-price").html(ui.values[0]);
                gPriceMin = ui.values[0]
                $("#max-price").html(ui.values[1]);
                gPriceMax = ui.values[1]
                console.log(gPriceMin, gPriceMax)
            }
        });
        onPageLoading();
        //thực thi nút filter
        $(document).on("click", "#btn-filter", function () {
            var vPetsFilteredArr = gDataPetsArray.filter(filterPetsObj)
            if (vPetsFilteredArr.length != 0) {
                loadPetsDataToTable(vPetsFilteredArr)
            } else {
                alert("Không tìm thấy thú cưng phù hợp");
                location.reload()
            }

        });
        $(document).on("click", "#btn-add-pet", function () {
            window.location.href = "addPets.html"
        });
        $("#pets-data-table").on("click", "#btn-edit-pet", function () {
            onBtnEditPetClick(this)
        });
        $("#pets-data-table").on("click", "#btn-delete-pet", function () {
            onBtnDeletePetClick(this)
        });
        $("#modal-delete-pet").on("click", "#btn-confirm-del-pet", function () {
            $.ajax({
                type: 'delete',
                url: gBASE_URL + '/pets/' + gPetId,
                dataType: 'json',
                success: function (paramData) {
                    console.log(paramData);
                    alert("Xóa thú cưng với id: " + gPetId + "thành công")
                    location.reload()
                },
                error: function (error) {
                    console.log(error);
                }
            });
        });
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        callApiToGetPetsList()
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm họi api lấy danh sách thú cưng
    function callApiToGetPetsList() {
        $.ajax({
            url: gBASE_URL + "/pets",
            type: "GET",
            success: function (paramRes) {
                console.log(paramRes);
                gDataPetsArray = paramRes.rows;
                gPetDataTable.rows.add(gDataPetsArray);
                gPetDataTable.draw()
            },
            error: function (paramError) {
                console.log(paramError.reponseText)
            }
        });
    }
    //hàm filter pet
    function filterPetsObj(paramPetsElement) {
        return paramPetsElement.price >= gPriceMin && paramPetsElement.price <= gPriceMax
    };
    //hàm load data to table
    function loadPetsDataToTable(paramPetsDataObj) {
        gPetDataTable.clear();
        gPetDataTable.rows.add(paramPetsDataObj);
        gPetDataTable.draw()
    };
    //hàm ấn nút edit pet:
    function onBtnEditPetClick(paramBtn) {
        var vRowTable = $(paramBtn).parents("tr");
        var vDataTableRow = gPetDataTable.row(vRowTable);
        var vPetData = vDataTableRow.data()
        gPetId = vPetData.id;
        var vEditUrl = "editPets.html";
        var vOpenEditUrl = vEditUrl +
            "?id=" + gPetId;
        window.location.href = vOpenEditUrl
    };
    //hàm ấn nút delete pet:
    function onBtnDeletePetClick(paramBtn) {
        var vRowTable = $(paramBtn).parents("tr");
        var vDataTableRow = gPetDataTable.row(vRowTable);
        var vPetData = vDataTableRow.data()
        gPetId = vPetData.id;
       
    }


</script>

</html>